## LassoIdWsf2SbfFramework LassoIdWsf2SbfFramework — <sbf:Framework> |

## Functions

LassoIdWsf2SbfFramework * | lasso_idwsf2_sbf_framework_new ()
LassoIdWsf2SbfFramework * | lasso_idwsf2_sbf_framework_new_full ()

## Types and Values

struct | LassoIdWsf2SbfFramework

## Description

Figure 241. Schema fragment for sbf:Framework

    <xs:complexType name="FrameworkType">
      <xs:sequence>
        <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="version" type="xs:string" use="required"/>
      <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_sbf_framework_new ()

    LassoIdWsf2SbfFramework *
    lasso_idwsf2_sbf_framework_new (void);

Creates a new LassoIdWsf2SbfFramework object.

#### Returns

a newly created LassoIdWsf2SbfFramework object

### lasso_idwsf2_sbf_framework_new_full ()

    LassoIdWsf2SbfFramework *
    lasso_idwsf2_sbf_framework_new_full (const char *version);

## Types and Values

### struct LassoIdWsf2SbfFramework

    struct LassoIdWsf2SbfFramework {
    	LassoNode parent;

    	/* attributes */
    	char *version;
    	GHashTable *attributes;
    };